/*
 * watchdog.cpp
 *
 *  Created on: Sep 1, 2023
 *      Author: Dario
 */

#include <sta/debug/debug.hpp>
#include <sta/rtos/system/watchdog.hpp>

namespace sta
{
	namespace rtos
	{
		// Implementation of the watchdog event handler.
		void watchdogEventHandler(void *, uint32_t flags)
		{
			if (flags & STA_WATCHDOG_FLAG_HEARTBEAT)
			{
				STA_DEBUG_PRINTLN("PING!");
			}
		}
	}
} // namespace sta
